summaryrefslogtreecommitdiffstats
path: root/abs/core/LinHES-system/bin/checkbackup
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/LinHES-system/bin/checkbackup')
-rwxr-xr-xabs/core/LinHES-system/bin/checkbackup16
1 files changed, 16 insertions, 0 deletions
diff --git a/abs/core/LinHES-system/bin/checkbackup b/abs/core/LinHES-system/bin/checkbackup
new file mode 100755
index 0000000..b6d8587
--- /dev/null
+++ b/abs/core/LinHES-system/bin/checkbackup
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+#----------------------------------------------------------------------------
+. /usr/LH/bin/backupcommon || {
+ echo 1>&2 "Can not load common settings!"
+ exit 1
+}
+#----------------------------------------------------------------------------
+
+if check_files_and_tables $BACKUP_LIST ; then
+ echo "Backup passes all checks."
+ exit 0
+else
+ echo "The backup is bad or already out of date!"
+ exit 1
+fi